- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::SlotImp3< T, P1, P2, P3 > Class Template Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

Inheritance diagram for G::SlotImp3< T, P1, P2, P3 >:

## Public Member Functions
| SlotImp3 (T &object, void(T::*fn)(P1, P2, P3))
void | callback (P1 p1, P2 p2, P3 p3)
Public Member Functions inherited from G::SlotBase
| SlotBase ()
| Default constuctor. More...
virtual | ~SlotBase ()
| Destructor. More...
void | up ()
| Increments the reference count. More...
void | down ()
| Decrements the reference count and does "delete this" on zero. More...

## Detailed Description

### template<typename T, typename P1, typename P2, typename P3>
class G::SlotImp3< T, P1, P2, P3 >

Part of the slot/signal system.

Definition at line 315 of file gslot.h.

## Constructor & Destructor Documentation

template<typename T , typename P1 , typename P2 , typename P3 >

G::SlotImp3< T, P1, P2, P3 >::SlotImp3 | ( | T & | object,
|  | void(T::*)(P1, P2, P3) | fn
| ) |  |
| inline

Definition at line 321 of file gslot.h.

## Member Function Documentation

template<typename T , typename P1 , typename P2 , typename P3 >

void G::SlotImp3< T, P1, P2, P3 >::callback | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3
| ) |  |
| inline

Definition at line 322 of file gslot.h.

The documentation for this class was generated from the following file:

- gslot.h